summaryrefslogtreecommitdiffstats
path: root/ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-03-28 14:13:18 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-03-28 14:13:18 -0500
commit4bc22e8b188aa26df8b1a23c39bb0f3c5b05b8b6 (patch)
treec6f53decaabed9678523a8bbd6a1000a9f3bf78f /ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst
parent211d261d7778de1d9a773e7ec43a4e97b4bd7e57 (diff)
downloadtde-packaging-4bc22e8b188aa26df8b1a23c39bb0f3c5b05b8b6.tar.gz
tde-packaging-4bc22e8b188aa26df8b1a23c39bb0f3c5b05b8b6.zip
Split raring packaging into new directory due to defoma changes
Diffstat (limited to 'ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst')
-rw-r--r--ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst33
1 files changed, 33 insertions, 0 deletions
diff --git a/ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst b/ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst
new file mode 100644
index 000000000..3807d55e6
--- /dev/null
+++ b/ubuntu/raring/applications/k3b/debian/k3b-trinity.postinst
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+
+case "$1" in
+ configure)
+
+ # Remove bad files
+ if dpkg --compare-versions "$2" eq "0.10.3-1"; then
+ rm -rf /usr/share/applnk/.hidden
+ rm -rf /usr/share/applnk/System/k3b.desktop
+ fi
+
+ if dpkg --compare-versions "$2" lt "0.10.3-1"; then
+ rm -rf /usr/share/applnk/System/k3b.desktop
+ rm -rf /usr/share/applnk/System/k3bsetup.desktop
+ fi
+
+ ;;
+abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+*)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+